package skeb.operation

/** A trait that can be mixed into an Evaluator function to provide it with
  * operators on row/column indices. */
trait Numerator requires Evaluator {
  
  import expression.Number
  
  operations.update("row",
    { case List() => Number(cell.row) })
  
  operations.update("column",
    { case List() => Number(cell.column) })
  
}